Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.swing.svg
Interface SVGDocumentLoaderListener

All Known Implementing Classes:
  JSVGComponent.SVGListener, JSVGViewerFrame, SVGDocumentLoaderAdapter

public interface SVGDocumentLoaderListener

This interface represents a listener to the SVGDocumentLoaderEvent events.

Method Summary
`void` | `documentLoadingCancelled(SVGDocumentLoaderEvent e)` Called when the loading of a document was cancelled.
`void` | `documentLoadingCompleted(SVGDocumentLoaderEvent e)` Called when the loading of a document was completed.
`void` | `documentLoadingFailed(SVGDocumentLoaderEvent e)` Called when the loading of a document has failed.
`void` | `documentLoadingStarted(SVGDocumentLoaderEvent e)` Called when the loading of a document was started.

Method Detail

### documentLoadingStarted

    public void documentLoadingStarted(SVGDocumentLoaderEvent e)

  Called when the loading of a document was started.

### documentLoadingCompleted

    public void documentLoadingCompleted(SVGDocumentLoaderEvent e)

  Called when the loading of a document was completed.

### documentLoadingCancelled

    public void documentLoadingCancelled(SVGDocumentLoaderEvent e)

  Called when the loading of a document was cancelled.

### documentLoadingFailed

    public void documentLoadingFailed(SVGDocumentLoaderEvent e)

  Called when the loading of a document has failed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.